Subject: RE: 1.3.2 rmdir fails if CWD is in the directory to be deleted?
From: "Ronald Landheer" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 9 Sep 2001 15:01:46 +0200

Ah.. OK.. I hadn't thought about NT vs. 9x..
I am running 9x here, as you will have guessed. (Seems I've been away 
from NT too long..)
It seems this is just a thing not to do, then..

Greetz!

Ronald

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Robert Collins
Sent: Saturday, September 08, 2001 3:54 PM
To: Ronald Landheer
Cc: [email-masked]
Subject: RE: 1.3.2 rmdir fails if CWD is in the directory to be deleted?

On Sat, 2001-09-08 at 22:59, Ronald Landheer wrote:
> Hm.. This should work.. I can easily delete the current dir in CygWin with the M$ Explorer, 
> but do get a "permission denied" when I try it in cygwin. (If I do >
this:
> $ cd
> $ mkdir test
> $ cd test
> In explorer, delete p:\cygwin\home\RonaldLandheer\test
> $ cd ..
> I end up in ~/test/..
> 
> It would seem the _current_ process can't kill its own directory..
> Would it be possible to fork, go a dir lower and destroy it from there? (Haven't tried it yet, but I'd expect the same results)

No.

> Greetz!
> 
> Ronald

Try this to see whats going on:

open up a cmd or command prompt. (No cygwin).

mkdir foo
cd foo
no, from start|run, start up explorer
now navigate to foo, and try to delete it.

It might work on 9x, it won't on NT - ever.

Rob 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/